local PICKUP = {
	AR_HIGH_CAPACITY = 0.5,
	AR_MED_CAPACITY = 1,
	AR_LOW_CAPACITY = 2,

	SG_HIGH_CAPACITY = 4,
	SG_MED_CAPACITY = 5,
	SG_LOW_CAPACITY = 6,

	LMG_HIGH_CAPACITY = 7,
	LMG_MED_CAPACITY = 8,
	LMG_LOW_CAPACITY = 9,

	RF_HIGH_CAPACITY = 10,
	RF_MED_CAPACITY = 11,
	RF_LOW_CAPACITY = 12,

	HG_HIGH_CAPACITY = 13,
	HG_MED_CAPACITY = 14,
	HG_LOW_CAPACITY = 15,

	SMG_HIGH_CAPACITY = 16,
	SMG_MED_CAPACITY = 17,
	SMG_LOW_CAPACITY = 18,

	LAUNCHERS_HEAVY = 19,
	LAUNCHERS_LIGHT = 20,
	OTHER = 21
}

function WeaponTweakData_pickup_chance(max_ammo, selection_index)
	local low, high = nil

	if selection_index == PICKUP.AR_MED_CAPACITY then
		low = 0.02
		high = 0.06
	elseif selection_index == PICKUP.AR_LOW_CAPACITY then
		low = 0.001
        high = 0.02
    elseif selection_index == PICKUP.SG_LOW_CAPACITY then
        low = 0.1
        high = 0.4
    elseif selection_index == PICKUP.SG_HIGH_CAPACITY then
        low = 0.1
        high = 0.3
    elseif selection_index == PICKUP.LMG_HIGH_CAPACITY then
        low = 0.025
        high = 0.035
    elseif selection_index == PICKUP.LMG_MED_CAPACITY then
        low = 0.02
        high = 0.03
    elseif selection_index == PICKUP.RF_HIGH_CAPACITY then
        low = 0.4
        high = 0.6
    elseif selection_index == PICKUP.RF_MED_CAPACITY then
        low = 0.2
        high = 0.8
    elseif selection_index == PICKUP.RF_LOW_CAPACITY then
        low = 0.1
        high = 0.5
    elseif selection_index == PICKUP.HG_HIGH_CAPACITY then
        low = 0.01
        high = 0.03
    elseif selection_index == PICKUP.HG_MED_CAPACITY then
        low = 0.05
        high = 0.10
    elseif selection_index == PICKUP.HG_LOW_CAPACITY then
        low = 0.01
        high = 0.035
    elseif selection_index == PICKUP.SMG_HIGH_CAPACITY then
        low = 0.1
        high = 0.5
    elseif selection_index == PICKUP.SMG_MED_CAPACITY then
        low = 0.0275
        high = 0.0375
    elseif selection_index == PICKUP.SMG_LOW_CAPACITY then
        low = 0.025
        high = 0.035
    elseif selection_index == PICKUP.LAUNCHERS_HEAVY then
        low = 0.0075
        high = 0.01
    elseif selection_index == PICKUP.LAUNCHERS_LIGHT then
        low = 0.0075
        high = 0.01
    else
        low = 0.01
        high = 0.035
    end

    return {
        max_ammo * low,
        max_ammo * high
    }
end;

Hooks:PostHook(WeaponTweakData, "init", "weapontweakdata", function(self)

--AR

	--asval
		self.asval.armor_piercing_chance = 1
		self.asval.stats.damage = 100
		self.asval.can_shoot_through_enemy = false
		self.asval.can_shoot_through_shield = true
		self.asval.can_shoot_through_wall = false
		self.asval.NR_CLIPS_MAX = 5
		self.asval.AMMO_MAX = self.asval.CLIP_AMMO_MAX * self.asval.NR_CLIPS_MAX
		self.asval.AMMO_PICKUP = self:_pickup_chance(self.asval.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)
		self.shak12.stats.spread = 7
		self.shak12.stats.recoil = 8

	--shak12
		self.shak12.stats.damage = 200
		self.shak12.CLIP_AMMO_MAX = 20
		self.shak12.stats.spread = -20
		self.shak12.stats.recoil = -20
		self.shak12.armor_piercing_chance = 1
		self.shak12.can_shoot_through_enemy = true
		self.shak12.can_shoot_through_shield = true
		self.shak12.can_shoot_through_wall = true
		self.shak12.NR_CLIPS_MAX = 5
		self.shak12.AMMO_MAX = self.shak12.CLIP_AMMO_MAX * self.shak12.NR_CLIPS_MAX
		self.shak12.AMMO_PICKUP = self:_pickup_chance(self.shak12.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--ak74
		self.ak74.stats.damage = 90
		self.ak74.NR_CLIPS_MAX = 5
		self.ak74.AMMO_MAX = self.ak74.CLIP_AMMO_MAX * self.ak74.NR_CLIPS_MAX
		self.ak74.AMMO_PICKUP = self:_pickup_chance(self.ak74.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--flint
		self.flint.stats.damage = 90
		self.flint.NR_CLIPS_MAX = 5
		self.flint.AMMO_MAX = self.flint.CLIP_AMMO_MAX * self.flint.NR_CLIPS_MAX
		self.flint.AMMO_PICKUP = self:_pickup_chance(self.flint.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--ak5
		self.ak5.stats.damage = 90
		self.ak5.NR_CLIPS_MAX = 5
		self.ak5.AMMO_MAX = self.ak5.CLIP_AMMO_MAX * self.ak5.NR_CLIPS_MAX
		self.ak5.AMMO_PICKUP = self:_pickup_chance(self.ak5.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--akm
		self.akm.stats.damage = 120
		self.akm.NR_CLIPS_MAX = 5
		self.akm.AMMO_MAX = self.akm.CLIP_AMMO_MAX * self.akm.NR_CLIPS_MAX
		self.akm.AMMO_PICKUP = self:_pickup_chance(self.akm.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--amcar
		self.amcar.stats.damage = 90
		self.amcar.CLIP_AMMO_MAX = 30
		self.amcar.NR_CLIPS_MAX = 5
		self.amcar.AMMO_MAX = self.amcar.CLIP_AMMO_MAX * self.amcar.NR_CLIPS_MAX
		self.amcar.AMMO_PICKUP = self:_pickup_chance(self.amcar.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--new_m4
		self.new_m4.stats.damage = 90
		self.new_m4.NR_CLIPS_MAX = 5
		self.new_m4.AMMO_MAX = self.new_m4.CLIP_AMMO_MAX * self.new_m4.NR_CLIPS_MAX
		self.new_m4.AMMO_PICKUP = self:_pickup_chance(self.new_m4.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--m16
		self.m16.stats.damage = 90
		self.m16.NR_CLIPS_MAX = 5
		self.m16.AMMO_MAX = self.m16.CLIP_AMMO_MAX * self.m16.NR_CLIPS_MAX
		self.m16.AMMO_PICKUP = self:_pickup_chance(self.m16.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--new_m14
		self.new_m14.armor_piercing_chance = 0.75
		self.new_m14.stats.damage = 140
		self.new_m14.CLIP_AMMO_MAX = 20
		self.new_m14.NR_CLIPS_MAX = 5
		self.new_m14.AMMO_MAX = self.new_m14.CLIP_AMMO_MAX * self.new_m14.NR_CLIPS_MAX
		self.new_m14.AMMO_PICKUP = self:_pickup_chance(self.new_m14.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--tecci
		self.tecci.stats.damage = 90
		self.tecci.NR_CLIPS_MAX = 5
		self.tecci.AMMO_MAX = self.tecci.CLIP_AMMO_MAX * self.tecci.NR_CLIPS_MAX
		self.tecci.AMMO_PICKUP = self:_pickup_chance(self.tecci.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--sub2000
		self.sub2000.stats.damage = 70
		self.sub2000.AMMO_MAX = 33
		self.sub2000.fire_mode_data.fire_rate = 0.06
		self.sub2000.NR_CLIPS_MAX = 5
		self.sub2000.AMMO_MAX = self.sub2000.CLIP_AMMO_MAX * self.sub2000.NR_CLIPS_MAX
		self.sub2000.AMMO_PICKUP = self:_pickup_chance(self.sub2000.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--famas
		self.famas.stats.damage = 90
		self.famas.NR_CLIPS_MAX = 5
		self.famas.AMMO_MAX = self.famas.CLIP_AMMO_MAX * self.famas.NR_CLIPS_MAX
		self.famas.AMMO_PICKUP = self:_pickup_chance(self.famas.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--s552
		self.s552.stats.damage = 90
		self.s552.NR_CLIPS_MAX = 5
		self.s552.AMMO_MAX = self.s552.CLIP_AMMO_MAX * self.s552.NR_CLIPS_MAX
		self.s552.AMMO_PICKUP = self:_pickup_chance(self.s552.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--scar
		self.scar.armor_piercing_chance = 0.75
		self.scar.stats.damage = 140
		self.scar.CLIP_AMMO_MAX = 20
		self.scar.NR_CLIPS_MAX = 5
		self.scar.AMMO_MAX = self.scar.CLIP_AMMO_MAX * self.scar.NR_CLIPS_MAX
		self.scar.AMMO_PICKUP = self:_pickup_chance(self.scar.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)
	--fal
		self.fal.stats.damage = 140
		self.fal.armor_piercing_chance = 0.75
		self.fal.NR_CLIPS_MAX = 5
		self.fal.AMMO_MAX = self.fal.CLIP_AMMO_MAX * self.fal.NR_CLIPS_MAX
		self.fal.AMMO_PICKUP = self:_pickup_chance(self.fal.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--ching
		self.ching.stats.damage = 140
		self.ching.fire_mode_data.fire_rate = 0.05
		self.ching.armor_piercing_chance = 1
		self.ching.NR_CLIPS_MAX = 5
		self.ching.AMMO_MAX = self.ching.CLIP_AMMO_MAX * self.ching.NR_CLIPS_MAX
		self.ching.AMMO_PICKUP = self:_pickup_chance(self.ching.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--galil
		self.galil.stats.damage = 140
		self.galil.armor_piercing_chance = 0.75
		self.galil.NR_CLIPS_MAX = 5
		self.galil.AMMO_MAX = self.galil.CLIP_AMMO_MAX * self.galil.NR_CLIPS_MAX
		self.galil.AMMO_PICKUP = self:_pickup_chance(self.galil.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--g3
		self.g3.stats.damage = 140
		self.g3.armor_piercing_chance = 0.75
		self.g3.NR_CLIPS_MAX = 5
		self.g3.AMMO_MAX = self.g3.CLIP_AMMO_MAX * self.g3.NR_CLIPS_MAX
		self.g3.AMMO_PICKUP = self:_pickup_chance(self.g3.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)

	--akm_gold
		self.akm_gold.stats.damage = 120
		self.akm_gold.NR_CLIPS_MAX = 5
		self.akm_gold.AMMO_MAX = self.akm_gold.CLIP_AMMO_MAX * self.akm_gold.NR_CLIPS_MAX
		self.akm_gold.AMMO_PICKUP = self:_pickup_chance(self.akm_gold.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)


	--g36
		self.g36.stats.damage = 90
		self.g36.NR_CLIPS_MAX = 5
		self.g36.AMMO_MAX = self.g36.CLIP_AMMO_MAX * self.g36.NR_CLIPS_MAX
		self.g36.AMMO_PICKUP = self:_pickup_chance(self.g36.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--vhs
		self.vhs.stats.damage = 90
		self.vhs.NR_CLIPS_MAX = 5
		self.vhs.AMMO_MAX = self.vhs.CLIP_AMMO_MAX * self.vhs.NR_CLIPS_MAX
		self.vhs.AMMO_PICKUP = self:_pickup_chance(self.vhs.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--contraband
		self.contraband.stats.damage = 140
		self.contraband.armor_piercing_chance = 0.75
		self.contraband.can_shoot_through_shield = false
		self.contraband.NR_CLIPS_MAX = 5
		self.contraband.AMMO_MAX = self.contraband.CLIP_AMMO_MAX * self.contraband.NR_CLIPS_MAX
		self.contraband.AMMO_PICKUP = self:_pickup_chance(self.contraband.AMMO_MAX, PICKUP.AR_LOW_CAPACITY)
	--contraband_m203
		self.contraband_m203.stats.damage = 1300

	--l85a2
		self.l85a2.stats.damage = 90
		self.l85a2.NR_CLIPS_MAX = 5
		self.l85a2.AMMO_MAX = self.l85a2.CLIP_AMMO_MAX * self.l85a2.NR_CLIPS_MAX
		self.l85a2.AMMO_PICKUP = self:_pickup_chance(self.l85a2.AMMO_MAX, PICKUP.AR_MED_CAPACITY)
 
	--komodo
		self.komodo.stats.damage = 90
		self.komodo.NR_CLIPS_MAX = 5
		self.komodo.AMMO_MAX = self.komodo.CLIP_AMMO_MAX * self.komodo.NR_CLIPS_MAX
		self.komodo.AMMO_PICKUP = self:_pickup_chance(self.komodo.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--aug
		self.aug.stats.damage = 90
		self.aug.NR_CLIPS_MAX = 5
		self.aug.AMMO_MAX = self.aug.CLIP_AMMO_MAX * self.aug.NR_CLIPS_MAX
		self.aug.AMMO_PICKUP = self:_pickup_chance(self.aug.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

	--corgi
		self.corgi.stats.damage = 90
		self.corgi.NR_CLIPS_MAX = 5
		self.corgi.AMMO_MAX = self.corgi.CLIP_AMMO_MAX * self.corgi.NR_CLIPS_MAX
		self.corgi.AMMO_PICKUP = self:_pickup_chance(self.corgi.AMMO_MAX, PICKUP.AR_MED_CAPACITY)

--LMG

	--par
		self.par.armor_piercing_chance = 0.75
		self.par.stats.damage = 140
		self.par.NR_CLIPS_MAX = 2
		self.par.AMMO_MAX = self.par.CLIP_AMMO_MAX * self.par.NR_CLIPS_MAX
		self.par.AMMO_PICKUP = self:_pickup_chance(self.par.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)		

	--rpk
		self.rpk.stats.damage = 120
		self.rpk.NR_CLIPS_MAX = 2
		self.rpk.AMMO_MAX = self.rpk.CLIP_AMMO_MAX * self.rpk.NR_CLIPS_MAX
		self.rpk.AMMO_PICKUP = self:_pickup_chance(self.rpk.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)

	--m249
		self.m249.stats.damage = 90
		self.m249.NR_CLIPS_MAX = 2
		self.m249.AMMO_MAX = self.m249.CLIP_AMMO_MAX * self.m249.NR_CLIPS_MAX
		self.m249.AMMO_PICKUP = self:_pickup_chance(self.m249.AMMO_MAX, PICKUP.LMG_HIGH_CAPACITY)

	--m60
		self.m60.armor_piercing_chance = 0.75 
		self.m60.stats.damage = 140
		self.m60.NR_CLIPS_MAX = 2
		self.m60.AMMO_MAX = self.m60.CLIP_AMMO_MAX * self.m60.NR_CLIPS_MAX
		self.m60.AMMO_PICKUP = self:_pickup_chance(self.m60.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)

	--mg42
		self.mg42.stats.damage = 150
		self.mg42.armor_piercing_chance = 1
		self.mg42.NR_CLIPS_MAX = 2
		self.mg42.AMMO_MAX = self.mg42.CLIP_AMMO_MAX * self.mg42.NR_CLIPS_MAX
		self.mg42.AMMO_PICKUP = self:_pickup_chance(self.mg42.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)

	--hk51b
		self.hk51b.stats.damage = 140
		self.hk51b.armor_piercing_chance = 0.75
		self.hk51b.NR_CLIPS_MAX = 2
		self.hk51b.AMMO_MAX = self.hk51b.CLIP_AMMO_MAX * self.hk51b.NR_CLIPS_MAX
		self.hk51b.AMMO_PICKUP = self:_pickup_chance(self.hk51b.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)

	--hk21
		self.hk21.stats.damage = 140    
		self.hk21.armor_piercing_chance = 0.75
		self.hk21.NR_CLIPS_MAX = 2
		self.hk21.AMMO_MAX = self.hk21.CLIP_AMMO_MAX * self.hk21.NR_CLIPS_MAX
		self.hk21.AMMO_PICKUP = self:_pickup_chance(self.hk21.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)

--Special primary 
	--m134
		self.m134.stats.damage = 140
		self.m134.armor_piercing_chance = 0.75
		self.m134.CLIP_AMMO_MAX = 1000
		self.m134.AMMO_MAX = 1000
		self.m134.AMMO_PICKUP = self:_pickup_chance(self.m134.AMMO_MAX, PICKUP.LMG_MED_CAPACITY)
	--shuno
		self.shuno.stats.damage = 90
		self.shuno.AMMO_PICKUP = {12,24}
		self.shuno.CLIP_AMMO_MAX = 1000
		self.shuno.AMMO_MAX = 1000
		self.shuno.AMMO_PICKUP = self:_pickup_chance(self.shuno.AMMO_MAX, PICKUP.LMG_HIGH_CAPACITY)

	--hailstorm
		self.hailstorm.stats.damage = 65
		self.hailstorm.can_shoot_through_shield = true
		self.hailstorm.can_shoot_through_wall = false
		self.hailstorm.can_shoot_through_enemy = false
		self.hailstorm.AMMO_MAX = 200
		self.hailstorm.CLIP_AMMO_MAX = 200
		self.hailstorm.AMMO_PICKUP = self:_pickup_chance(self.hailstorm.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)
		self.hailstorm.stats.spread = -7
		self.hailstorm.stats.recoil = -30

--SMGS

	--mp7
		self.mp7.can_shoot_through_shield = true
		self.mp7.armor_piercing_chance = 1
		self.mp7.can_shoot_through_wall = false
		self.mp7.can_shoot_through_enemy = false
		self.mp7.CLIP_AMMO_MAX = 20
		self.mp7.stats.damage = 65
		self.mp7.NR_CLIPS_MAX = 3
		self.mp7.AMMO_MAX = self.mp7.CLIP_AMMO_MAX * self.mp7.NR_CLIPS_MAX
		self.mp7.AMMO_PICKUP = self:_pickup_chance(self.mp7.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)
		
		self.x_mp7.can_shoot_through_shield = true
		self.x_mp7.can_shoot_through_wall = false
		self.x_mp7.can_shoot_through_enemy = false
		self.x_mp7.armor_piercing_chance = 1 
		self.x_mp7.stats.damage = 65
		self.x_mp7.NR_CLIPS_MAX = 5
		self.x_mp7.AMMO_MAX = self.x_mp7.CLIP_AMMO_MAX * self.x_mp7.NR_CLIPS_MAX
		self.x_mp7.AMMO_PICKUP = self:_pickup_chance(self.x_mp7.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)

	--p90
		self.p90.can_shoot_through_shield = true
		self.p90.can_shoot_through_wall = false
		self.p90.can_shoot_through_enemy = false
		self.p90.armor_piercing_chance = 1         
		self.p90.stats.damage = 65
		self.p90.NR_CLIPS_MAX = 3
		self.p90.AMMO_MAX = self.p90.CLIP_AMMO_MAX * self.p90.NR_CLIPS_MAX
		self.p90.AMMO_PICKUP = self:_pickup_chance(self.p90.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)

		self.x_p90.stats.damage = 65
		self.x_p90.can_shoot_through_shield = true
		self.x_p90.can_shoot_through_wall = false
		self.x_p90.can_shoot_through_enemy = false
		self.x_p90.armor_piercing_chance = 1
		self.x_p90.NR_CLIPS_MAX = 5
		self.x_p90.AMMO_MAX = self.x_p90.CLIP_AMMO_MAX * self.x_p90.NR_CLIPS_MAX
		self.x_p90.AMMO_PICKUP = self:_pickup_chance(self.x_p90.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)

	--sr2
		self.sr2.armor_piercing_chance = 1 
		self.sr2.can_shoot_through_shield = true
		self.sr2.can_shoot_through_wall = false
		self.sr2.can_shoot_through_enemy = false
		self.sr2.stats.damage = 70
		self.sr2.NR_CLIPS_MAX = 3
		self.sr2.AMMO_MAX = self.sr2.CLIP_AMMO_MAX * self.sr2.NR_CLIPS_MAX
		self.sr2.AMMO_PICKUP = self:_pickup_chance(self.sr2.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)

		self.x_sr2.can_shoot_through_shield = true
		self.x_sr2.can_shoot_through_wall = false
		self.x_sr2.can_shoot_through_enemy = false
		self.x_sr2.stats.damage = 70
		self.x_sr2.armor_piercing_chance = 1 
		self.x_sr2.NR_CLIPS_MAX = 5
		self.x_sr2.AMMO_MAX = self.x_sr2.CLIP_AMMO_MAX * self.x_sr2.NR_CLIPS_MAX
		self.x_sr2.AMMO_PICKUP = self:_pickup_chance(self.x_sr2.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)
		
	--vityaz
		self.vityaz.AMMO_PICKUP = {8,16}
		self.vityaz.stats.damage = 70
		self.vityaz.NR_CLIPS_MAX = 3
		self.vityaz.AMMO_MAX = self.vityaz.CLIP_AMMO_MAX * self.vityaz.NR_CLIPS_MAX
		self.vityaz.AMMO_PICKUP = self:_pickup_chance(self.vityaz.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_vityaz.stats.damage = 70
		self.x_vityaz.NR_CLIPS_MAX = 5
		self.x_vityaz.AMMO_MAX = self.x_vityaz.CLIP_AMMO_MAX * self.x_vityaz.NR_CLIPS_MAX
		self.x_vityaz.AMMO_PICKUP = self:_pickup_chance(self.x_vityaz.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--pm9
		self.pm9.stats.damage = 70
		self.pm9.NR_CLIPS_MAX = 3
		self.pm9.AMMO_MAX = self.pm9.CLIP_AMMO_MAX * self.pm9.NR_CLIPS_MAX
		self.pm9.AMMO_PICKUP = self:_pickup_chance(self.pm9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_pm9.stats.damage = 70
		self.x_pm9.NR_CLIPS_MAX = 5
		self.x_pm9.AMMO_MAX = self.x_pm9.CLIP_AMMO_MAX * self.x_pm9.NR_CLIPS_MAX
		self.x_pm9.AMMO_PICKUP = self:_pickup_chance(self.x_pm9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--groza
		self.groza.stats.damage = 100
		self.groza.armor_piercing_chance = 1 
		self.groza.can_shoot_through_shield = true
		self.groza.NR_CLIPS_MAX = 5
		self.groza.AMMO_MAX = self.groza.CLIP_AMMO_MAX * self.groza.NR_CLIPS_MAX
		self.groza.AMMO_PICKUP = self:_pickup_chance(self.groza.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)

	--tec9
		self.tec9.stats.damage = 70
		self.tec9.NR_CLIPS_MAX = 5
		self.tec9.AMMO_MAX = self.tec9.CLIP_AMMO_MAX * self.tec9.NR_CLIPS_MAX
		self.tec9.AMMO_PICKUP = self:_pickup_chance(self.tec9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_tec9.stats.damage = 70
		self.x_tec9.NR_CLIPS_MAX = 5
		self.x_tec9.AMMO_MAX = self.x_tec9.CLIP_AMMO_MAX * self.x_tec9.NR_CLIPS_MAX
		self.x_tec9.AMMO_PICKUP = self:_pickup_chance(self.x_tec9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
  
	--m1928
		self.m1928.stats.damage = 80
		self.m1928.NR_CLIPS_MAX = 5
		self.m1928.AMMO_MAX = self.m1928.CLIP_AMMO_MAX * self.m1928.NR_CLIPS_MAX
		self.m1928.AMMO_PICKUP = self:_pickup_chance(self.m1928.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_m1928.stats.damage = 80
		self.x_m1928.NR_CLIPS_MAX = 5
		self.x_m1928.AMMO_MAX = self.x_m1928.CLIP_AMMO_MAX * self.x_m1928.NR_CLIPS_MAX
		self.x_m1928.AMMO_PICKUP = self:_pickup_chance(self.x_m1928.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--mp9
		self.mp9.stats.damage = 70
		self.mp9.NR_CLIPS_MAX = 5
		self.mp9.AMMO_MAX = self.mp9.CLIP_AMMO_MAX * self.mp9.NR_CLIPS_MAX
		self.mp9.AMMO_PICKUP = self:_pickup_chance(self.mp9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_mp9.stats.damage = 70
		self.mp9.NR_CLIPS_MAX = 5
		self.mp9.AMMO_MAX = self.mp9.CLIP_AMMO_MAX * self.mp9.NR_CLIPS_MAX
		self.mp9.AMMO_PICKUP = self:_pickup_chance(self.mp9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--scorpion
		self.scorpion.stats.damage = 60
		self.scorpion.NR_CLIPS_MAX = 5
		self.scorpion.AMMO_MAX = self.scorpion.CLIP_AMMO_MAX * self.scorpion.NR_CLIPS_MAX
		self.scorpion.AMMO_PICKUP = self:_pickup_chance(self.scorpion.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_scorpion.stats.damage = 60
		self.x_scorpion.NR_CLIPS_MAX = 5
		self.x_scorpion.AMMO_MAX = self.x_scorpion.CLIP_AMMO_MAX * self.x_scorpion.NR_CLIPS_MAX
		self.x_scorpion.AMMO_PICKUP = self:_pickup_chance(self.x_scorpion.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)


	--mp5
		self.new_mp5.stats.damage = 70
		self.new_mp5.NR_CLIPS_MAX = 5
		self.new_mp5.AMMO_MAX = self.new_mp5.CLIP_AMMO_MAX * self.new_mp5.NR_CLIPS_MAX
		self.new_mp5.AMMO_PICKUP = self:_pickup_chance(self.new_mp5.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_mp5.stats.damage = 70
		self.x_mp5.NR_CLIPS_MAX = 5
		self.x_mp5.AMMO_MAX = self.x_mp5.CLIP_AMMO_MAX * self.x_mp5.NR_CLIPS_MAX
		self.x_mp5.AMMO_PICKUP = self:_pickup_chance(self.x_mp5.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
	--fmg9
		self.fmg9.stats.damage = 70
		self.fmg9.NR_CLIPS_MAX = 5
		self.fmg9.AMMO_MAX = self.fmg9.CLIP_AMMO_MAX * self.fmg9.NR_CLIPS_MAX
		self.fmg9.AMMO_PICKUP = self:_pickup_chance(self.fmg9.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--schakal
		self.schakal.stats.damage = 80
		self.schakal.NR_CLIPS_MAX = 5
		self.schakal.AMMO_MAX = self.schakal.CLIP_AMMO_MAX * self.schakal.NR_CLIPS_MAX
		self.schakal.AMMO_PICKUP = self:_pickup_chance(self.schakal.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_schakal.stats.damage = 80
		self.x_schakal.NR_CLIPS_MAX = 5
		self.x_schakal.AMMO_MAX = self.x_schakal.CLIP_AMMO_MAX * self.x_schakal.NR_CLIPS_MAX
		self.x_schakal.AMMO_PICKUP = self:_pickup_chance(self.x_schakal.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)


	--cobray
		self.cobray.stats.damage = 70
		self.cobray.NR_CLIPS_MAX = 5
		self.cobray.AMMO_MAX = self.cobray.CLIP_AMMO_MAX * self.cobray.NR_CLIPS_MAX
		self.cobray.AMMO_PICKUP = self:_pickup_chance(self.cobray.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_cobray.stats.damage = 70
		self.x_cobray.NR_CLIPS_MAX = 5
		self.x_cobray.AMMO_MAX = self.x_cobray.CLIP_AMMO_MAX * self.x_cobray.NR_CLIPS_MAX
		self.x_cobray.AMMO_PICKUP = self:_pickup_chance(self.x_cobray.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
	--polymer
		self.polymer.stats.damage = 80
		self.polymer.NR_CLIPS_MAX = 5
		self.polymer.AMMO_MAX = self.polymer.CLIP_AMMO_MAX * self.polymer.NR_CLIPS_MAX
		self.polymer.AMMO_PICKUP = self:_pickup_chance(self.polymer.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_polymer.stats.damage = 80
		self.x_polymer.NR_CLIPS_MAX = 5
		self.x_polymer.AMMO_MAX = self.x_polymer.CLIP_AMMO_MAX * self.x_polymer.NR_CLIPS_MAX
		self.x_polymer.AMMO_PICKUP = self:_pickup_chance(self.x_polymer.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		
	--mac10
		self.mac10.stats.damage = 80
		self.mac10.NR_CLIPS_MAX = 5
		self.mac10.AMMO_MAX = self.mac10.CLIP_AMMO_MAX * self.mac10.NR_CLIPS_MAX
		self.mac10.AMMO_PICKUP = self:_pickup_chance(self.mac10.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

		self.x_mac10.stats.damage = 80
		self.x_mac10.NR_CLIPS_MAX = 5
		self.x_mac10.AMMO_MAX = self.x_mac10.CLIP_AMMO_MAX * self.x_mac10.NR_CLIPS_MAX
		self.x_mac10.AMMO_PICKUP = self:_pickup_chance(self.x_mac10.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
	--baka
		self.baka.stats.damage = 70
		self.baka.NR_CLIPS_MAX = 5
		self.baka.AMMO_MAX = self.baka.CLIP_AMMO_MAX * self.baka.NR_CLIPS_MAX
		self.baka.AMMO_PICKUP = self:_pickup_chance(self.baka.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_baka.stats.damage = 70
		self.x_baka.NR_CLIPS_MAX = 5
		self.x_baka.AMMO_MAX = self.x_baka.CLIP_AMMO_MAX * self.x_baka.NR_CLIPS_MAX
		self.x_baka.AMMO_PICKUP = self:_pickup_chance(self.x_baka.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--erma
		self.erma.stats.damage = 70
		self.erma.NR_CLIPS_MAX = 5
		self.erma.AMMO_MAX = self.erma.CLIP_AMMO_MAX * self.erma.NR_CLIPS_MAX
		self.erma.AMMO_PICKUP = self:_pickup_chance(self.erma.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_erma.stats.damage = 70
		self.x_erma.NR_CLIPS_MAX = 5
		self.x_erma.AMMO_MAX = self.x_erma.CLIP_AMMO_MAX * self.x_erma.NR_CLIPS_MAX
		self.x_erma.AMMO_PICKUP = self:_pickup_chance(self.x_erma.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--sterling
		self.sterling.stats.damage = 70
		self.sterling.NR_CLIPS_MAX = 5
		self.sterling.AMMO_MAX = self.sterling.CLIP_AMMO_MAX * self.sterling.NR_CLIPS_MAX
		self.sterling.AMMO_PICKUP = self:_pickup_chance(self.sterling.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_sterling.stats.damage = 70
		self.x_sterling.NR_CLIPS_MAX = 5
		self.x_sterling.AMMO_MAX = self.x_sterling.CLIP_AMMO_MAX * self.x_sterling.NR_CLIPS_MAX
		self.x_sterling.AMMO_PICKUP = self:_pickup_chance(self.x_sterling.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--olympic
		self.olympic.stats.damage = 90
		self.olympic.NR_CLIPS_MAX = 5
		self.olympic.AMMO_MAX = self.olympic.CLIP_AMMO_MAX * self.olympic.NR_CLIPS_MAX
		self.olympic.AMMO_PICKUP = self:_pickup_chance(self.olympic.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)
		
		self.x_olympic.stats.damage = 90
		self.x_olympic.NR_CLIPS_MAX = 5
		self.x_olympic.AMMO_MAX = self.x_olympic.CLIP_AMMO_MAX * self.x_olympic.NR_CLIPS_MAX
		self.x_olympic.AMMO_PICKUP = self:_pickup_chance(self.x_olympic.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)

	--shepheard
		self.shepheard.stats.damage = 70
		self.shepheard.NR_CLIPS_MAX = 3
		self.shepheard.AMMO_MAX = self.shepheard.CLIP_AMMO_MAX * self.shepheard.NR_CLIPS_MAX
		self.shepheard.AMMO_PICKUP = self:_pickup_chance(self.shepheard.AMMO_MAX, PICKUP.SMG_HIGH_CAPACITY)
		
		self.x_shepheard.stats.damage = 70
		self.x_shepheard.NR_CLIPS_MAX = 5
		self.x_shepheard.AMMO_MAX = self.x_shepheard.CLIP_AMMO_MAX * self.x_shepheard.NR_CLIPS_MAX
		self.x_shepheard.AMMO_PICKUP = self:_pickup_chance(self.x_shepheard.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--m45
		self.m45.stats.damage = 70
		self.m45.NR_CLIPS_MAX = 5
		self.m45.AMMO_MAX = self.m45.CLIP_AMMO_MAX * self.m45.NR_CLIPS_MAX
		self.m45.AMMO_PICKUP = self:_pickup_chance(self.m45.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_m45.stats.damage = 70
		self.x_m45.NR_CLIPS_MAX = 5
		self.x_m45.AMMO_MAX = self.x_m45.CLIP_AMMO_MAX * self.x_m45.NR_CLIPS_MAX
		self.x_m45.AMMO_PICKUP = self:_pickup_chance(self.x_m45.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--coal
		self.coal.stats.damage = 70
		self.coal.NR_CLIPS_MAX = 5
		self.coal.AMMO_MAX = self.coal.CLIP_AMMO_MAX * self.coal.NR_CLIPS_MAX
		self.coal.AMMO_PICKUP = self:_pickup_chance(self.coal.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_coal.stats.damage = 70
		self.x_coal.NR_CLIPS_MAX = 5
		self.x_coal.AMMO_MAX = self.x_coal.CLIP_AMMO_MAX * self.x_coal.NR_CLIPS_MAX
		self.x_coal.AMMO_PICKUP = self:_pickup_chance(self.x_coal.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--uzi
		self.uzi.stats.damage = 70
		self.uzi.NR_CLIPS_MAX = 5
		self.uzi.AMMO_MAX = self.uzi.CLIP_AMMO_MAX * self.uzi.NR_CLIPS_MAX
		self.uzi.AMMO_PICKUP = self:_pickup_chance(self.uzi.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)
		
		self.x_uzi.stats.damage = 70
		self.x_uzi.NR_CLIPS_MAX = 5
		self.x_uzi.AMMO_MAX = self.x_uzi.CLIP_AMMO_MAX * self.x_uzi.NR_CLIPS_MAX
		self.x_uzi.AMMO_PICKUP = self:_pickup_chance(self.x_uzi.AMMO_MAX, PICKUP.SMG_MED_CAPACITY)

	--hajk
		self.hajk.stats.damage = 90
		self.hajk.NR_CLIPS_MAX = 5
		self.hajk.AMMO_MAX = self.hajk.CLIP_AMMO_MAX * self.hajk.NR_CLIPS_MAX
		self.hajk.AMMO_PICKUP = self:_pickup_chance(self.hajk.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)

		self.x_hajk.stats.damage = 90
		self.x_hajk.NR_CLIPS_MAX = 5
		self.x_hajk.AMMO_MAX = self.x_hajk.CLIP_AMMO_MAX * self.x_hajk.NR_CLIPS_MAX
		self.x_hajk.AMMO_PICKUP = self:_pickup_chance(self.x_hajk.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)
		
	--akmsu
		self.akmsu.stats.damage = 100
		self.akmsu.NR_CLIPS_MAX = 5
		self.akmsu.AMMO_MAX = self.akmsu.CLIP_AMMO_MAX * self.akmsu.NR_CLIPS_MAX
		self.akmsu.AMMO_PICKUP = self:_pickup_chance(self.akmsu.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)
		self.akmsu.stats.spread = 24
		
		self.x_akmsu.stats.damage = 100
		self.x_akmsu.NR_CLIPS_MAX = 5
		self.x_akmsu.AMMO_MAX = self.x_akmsu.CLIP_AMMO_MAX * self.x_akmsu.NR_CLIPS_MAX
		self.x_akmsu.AMMO_PICKUP = self:_pickup_chance(self.x_akmsu.AMMO_MAX, PICKUP.SMG_LOW_CAPACITY)
		

--Shotguns

	--boot
		self.boot.stats.damage = 120
		self.boot.AMMO_PICKUP = self:_pickup_chance(self.boot.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--saiga
		self.saiga.stats.damage = 120
		self.saiga.AMMO_PICKUP = self:_pickup_chance(self.saiga.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.saiga.NR_CLIPS_MAX = 2

	--b682
		self.b682.stats.damage = 120
		self.b682.AMMO_PICKUP = self:_pickup_chance(self.b682.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--benelli
		self.benelli.stats.damage = 120
		self.benelli.fire_mode_data.fire_rate = 0.05
		self.benelli.AMMO_PICKUP = self:_pickup_chance(self.benelli.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--huntsman
		self.huntsman.stats.damage = 120
		self.huntsman.AMMO_PICKUP = self:_pickup_chance(self.huntsman.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--spas12
		self.spas12.stats.damage = 120
		self.spas12.fire_mode_data.fire_rate = 0.05
		self.spas12.AMMO_PICKUP = self:_pickup_chance(self.spas12.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--ksg
		self.ksg.stats.damage = 120
		self.ksg.AMMO_PICKUP = self:_pickup_chance(self.ksg.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--rota
		self.rota.stats.damage = 120
		self.rota.fire_mode_data.fire_rate = 0.05
		self.rota.AMMO_PICKUP = self:_pickup_chance(self.rota.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.rota.NR_CLIPS_MAX = 2		

		self.x_rota.stats.damage = 120
		self.x_rota.fire_mode_data.fire_rate = 0.05
		self.x_rota.AMMO_PICKUP = self:_pickup_chance(self.x_rota.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.x_rota.NR_CLIPS_MAX = 2

	--coach
		self.coach.stats.damage = 120
		self.coach.AMMO_PICKUP = self:_pickup_chance(self.coach.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)
	--m590
		self.m590.stats.damage = 120
		self.m590.AMMO_PICKUP = self:_pickup_chance(self.m590.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--m1897
		self.m1897.stats.damage = 120
		self.m1897.AMMO_PICKUP = self:_pickup_chance(self.m1897.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--striker
		self.striker.stats.damage = 120
		self.striker.AMMO_PICKUP = self:_pickup_chance(self.striker.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--ultima
		self.ultima.stats.damage = 120
		self.ultima.AMMO_PICKUP = self:_pickup_chance(self.ultima.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--basset
		self.basset.stats.damage = 120
		self.basset.AMMO_PICKUP = self:_pickup_chance(self.basset.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.basset.NR_CLIPS_MAX = 2

		self.x_basset.stats.damage = 120
		self.x_basset.AMMO_PICKUP = self:_pickup_chance(self.x_basset.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.x_basset.NR_CLIPS_MAX = 2

	--serbu
		self.serbu.stats.damage = 120
		self.serbu.AMMO_PICKUP = self:_pickup_chance(self.serbu.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--r870
		self.r870.stats.damage = 120
		self.r870.AMMO_PICKUP = self:_pickup_chance(self.r870.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--aa12
		self.aa12.stats.damage = 120
		self.aa12.AMMO_PICKUP = self:_pickup_chance(self.aa12.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.aa12.NR_CLIPS_MAX = 2

	--judge
		self.judge.stats.damage = 100
		self.judge.fire_mode_data.fire_rate = 0.05
		self.judge.AMMO_PICKUP = self:_pickup_chance(self.judge.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

		self.x_judge.stats.damage = 100
		self.x_judge.fire_mode_data.fire_rate = 0.05
		self.x_judge.AMMO_PICKUP = self:_pickup_chance(self.x_judge.AMMO_MAX, PICKUP.SG_HIGH_CAPACITY)

	--sko12
		self.sko12.stats.damage = 120
		self.sko12.AMMO_PICKUP = self:_pickup_chance(self.sko12.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.sko12.NR_CLIPS_MAX = 2

		self.x_sko12.stats.damage = 140
		self.x_sko12.AMMO_PICKUP = self:_pickup_chance(self.x_sko12.AMMO_MAX, PICKUP.SG_LOW_CAPACITY)
		self.x_sko12.NR_CLIPS_MAX = 2

--Launchers
	--ray
		self.ray.fire_mode_data.fire_rate = 0.1
		self.ray.AMMO_PICKUP = {0.3,0.5}

	--m32
		self.m32.fire_mode_data.fire_rate = 0.3
		self.m32.AMMO_PICKUP = self:_pickup_chance(self.m32.AMMO_MAX, PICKUP.LAUNCHERS_LIGHT)

	--arbiter
		self.arbiter.fire_mode_data.fire_rate = 0.1
		self.arbiter.AMMO_PICKUP = self:_pickup_chance(self.arbiter.AMMO_MAX, PICKUP.LAUNCHERS_LIGHT)

	--rpg7
		self.rpg7.AMMO_PICKUP = {0.3,0.5}

	--ms3gl
		self.ms3gl.AMMO_PICKUP = self:_pickup_chance(self.ms3gl.AMMO_MAX, PICKUP.LAUNCHERS_LIGHT)

--Handguns
	--rsh12
		self.rsh12.fire_mode_data.fire_rate = 0.06
		self.rsh12.NR_CLIPS_MAX = 3
		self.rsh12.AMMO_MAX = self.rsh12.CLIP_AMMO_MAX * self.rsh12.NR_CLIPS_MAX
		self.rsh12.AMMO_PICKUP = self:_pickup_chance(self.rsh12.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

	--lemming
		self.lemming.stats.damage = 75
		self.lemming.fire_mode_data.fire_rate = 0.05
		self.lemming.NR_CLIPS_MAX = 3
		self.lemming.AMMO_MAX = self.lemming.CLIP_AMMO_MAX * self.lemming.NR_CLIPS_MAX
		self.lemming.AMMO_PICKUP = self:_pickup_chance(self.lemming.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

	--type54
		self.type54.stats.damage = 90
		self.type54.CLIP_AMMO_MAX = 7
		self.type54.fire_mode_data.fire_rate = 0.06
		self.type54.NR_CLIPS_MAX = 3
		self.type54.AMMO_MAX = self.type54.CLIP_AMMO_MAX * self.type54.NR_CLIPS_MAX
		self.type54.AMMO_PICKUP = self:_pickup_chance(self.type54.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_type54.stats.damage = 90
		self.x_type54.CLIP_AMMO_MAX = 14
		self.x_type54.fire_mode_data.fire_rate = 0.06
		self.x_type54.NR_CLIPS_MAX = 5
		self.x_type54.AMMO_MAX = self.x_type54.CLIP_AMMO_MAX * self.x_type54.NR_CLIPS_MAX
		self.x_type54.AMMO_PICKUP = self:_pickup_chance(self.x_type54.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--b92fs
		self.b92fs.stats.damage = 70
		self.b92fs.fire_mode_data.fire_rate = 0.1
		self.b92fs.NR_CLIPS_MAX = 3
		self.b92fs.AMMO_MAX = self.b92fs.CLIP_AMMO_MAX * self.b92fs.NR_CLIPS_MAX
		self.b92fs.AMMO_PICKUP = self:_pickup_chance(self.b92fs.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_b92fs.stats.damage = 70
		self.x_b92fs.fire_mode_data.fire_rate = 0.1
		self.x_b92fs.NR_CLIPS_MAX = 5
		self.x_b92fs.AMMO_MAX = self.x_b92fs.CLIP_AMMO_MAX * self.x_b92fs.NR_CLIPS_MAX
		self.x_b92fs.AMMO_PICKUP = self:_pickup_chance(self.x_b92fs.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--chinchilla

		self.chinchilla.stats.damage = 140
		self.chinchilla.fire_mode_data.fire_rate = 0.1
		self.chinchilla.NR_CLIPS_MAX = 3
		self.chinchilla.AMMO_MAX = self.chinchilla.CLIP_AMMO_MAX * self.chinchilla.NR_CLIPS_MAX
		self.chinchilla.AMMO_PICKUP = self:_pickup_chance(self.chinchilla.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_chinchilla.stats.damage = 140
		self.x_chinchilla.fire_mode_data.fire_rate = 0.1
		self.x_chinchilla.NR_CLIPS_MAX = 5
		self.x_chinchilla.AMMO_MAX = self.x_chinchilla.CLIP_AMMO_MAX * self.x_chinchilla.NR_CLIPS_MAX
		self.x_chinchilla.AMMO_PICKUP = self:_pickup_chance(self.x_chinchilla.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--glock_17
		self.glock_17.stats.damage = 70
		self.glock_17.fire_mode_data.fire_rate = 0.1
		self.glock_17.NR_CLIPS_MAX = 3
		self.glock_17.AMMO_MAX = self.glock_17.CLIP_AMMO_MAX * self.glock_17.NR_CLIPS_MAX
		self.glock_17.AMMO_PICKUP = self:_pickup_chance(self.glock_17.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_g17.stats.damage = 70
		self.x_g17.fire_mode_data.fire_rate = 0.1
		self.x_g17.NR_CLIPS_MAX = 5
		self.x_g17.AMMO_MAX = self.x_g17.CLIP_AMMO_MAX * self.x_g17.NR_CLIPS_MAX
		self.x_g17.AMMO_PICKUP = self:_pickup_chance(self.x_g17.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--new_raging_bull

		self.new_raging_bull.stats.damage = 140
		self.new_raging_bull.fire_mode_data.fire_rate = 0.1
		self.new_raging_bull.NR_CLIPS_MAX = 3
		self.new_raging_bull.AMMO_MAX = self.new_raging_bull.CLIP_AMMO_MAX * self.new_raging_bull.NR_CLIPS_MAX
		self.new_raging_bull.AMMO_PICKUP = self:_pickup_chance(self.new_raging_bull.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

		self.x_rage.stats.damage = 140
		self.x_rage.fire_mode_data.fire_rate = 0.1
		self.x_rage.NR_CLIPS_MAX = 5
		self.x_rage.AMMO_MAX = self.x_rage.CLIP_AMMO_MAX * self.x_rage.NR_CLIPS_MAX
		self.x_rage.AMMO_PICKUP = self:_pickup_chance(self.x_rage.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

	--jowi
		self.jowi.stats.damage = 70
		self.jowi.fire_mode_data.fire_rate = 0.1
		self.jowi.NR_CLIPS_MAX = 3
		self.jowi.AMMO_MAX = self.jowi.CLIP_AMMO_MAX * self.jowi.NR_CLIPS_MAX
		self.jowi.AMMO_PICKUP = self:_pickup_chance(self.jowi.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.g26.stats.damage = 70
		self.g26.fire_mode_data.fire_rate = 0.1
		self.g26.NR_CLIPS_MAX = 5
		self.g26.AMMO_MAX = self.g26.CLIP_AMMO_MAX * self.g26.NR_CLIPS_MAX
		self.g26.AMMO_PICKUP = self:_pickup_chance(self.g26.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--g22c
		self.g22c.stats.damage = 70
		self.g22c.fire_mode_data.fire_rate = 0.1
		self.g22c.NR_CLIPS_MAX = 3
		self.g22c.AMMO_MAX = self.g22c.CLIP_AMMO_MAX * self.g22c.NR_CLIPS_MAX
		self.g22c.AMMO_PICKUP = self:_pickup_chance(self.g22c.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_g22c.stats.damage = 70
		self.x_g22c.fire_mode_data.fire_rate = 0.1
		self.x_g22c.NR_CLIPS_MAX = 5
		self.x_g22c.AMMO_MAX = self.x_g22c.CLIP_AMMO_MAX * self.x_g22c.NR_CLIPS_MAX
		self.x_g22c.AMMO_PICKUP = self:_pickup_chance(self.x_g22c.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--packrat

		self.packrat.stats.damage = 70
		self.packrat.fire_mode_data.fire_rate = 0.1
		self.packrat.NR_CLIPS_MAX = 3
		self.packrat.AMMO_MAX = self.packrat.CLIP_AMMO_MAX * self.packrat.NR_CLIPS_MAX
		self.packrat.AMMO_PICKUP = self:_pickup_chance(self.packrat.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_packrat.stats.damage = 70
		self.x_packrat.fire_mode_data.fire_rate = 0.1
		self.x_packrat.NR_CLIPS_MAX = 5
		self.x_packrat.AMMO_MAX = self.x_packrat.CLIP_AMMO_MAX * self.x_packrat.NR_CLIPS_MAX
		self.x_packrat.AMMO_PICKUP = self:_pickup_chance(self.x_packrat.AMMO_MAX, PICKUP.HG_MED_CAPACITY)


	--colt_1911
		self.colt_1911.stats.damage = 80
		self.colt_1911.fire_mode_data.fire_rate = 0.1
		self.colt_1911.NR_CLIPS_MAX = 3
		self.colt_1911.AMMO_MAX = self.colt_1911.CLIP_AMMO_MAX * self.colt_1911.NR_CLIPS_MAX
		self.colt_1911.AMMO_PICKUP = self:_pickup_chance(self.colt_1911.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_1911.stats.damage = 80
		self.x_1911.fire_mode_data.fire_rate = 0.1
		self.x_1911.NR_CLIPS_MAX = 5
		self.x_1911.AMMO_MAX = self.x_1911.CLIP_AMMO_MAX * self.x_1911.NR_CLIPS_MAX
		self.x_1911.AMMO_PICKUP = self:_pickup_chance(self.x_1911.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--shrew
		self.shrew.stats.damage = 80
		self.shrew.fire_mode_data.fire_rate = 0.1
		self.shrew.NR_CLIPS_MAX = 3
		self.shrew.AMMO_MAX = self.shrew.CLIP_AMMO_MAX * self.shrew.NR_CLIPS_MAX
		self.shrew.AMMO_PICKUP = self:_pickup_chance(self.shrew.AMMO_MAX, PICKUP.HG_MED_CAPACITY)


		self.x_shrew.stats.damage = 80
		self.x_shrew.fire_mode_data.fire_rate = 0.1
		self.x_shrew.NR_CLIPS_MAX = 5
		self.x_shrew.AMMO_MAX = self.x_shrew.CLIP_AMMO_MAX * self.x_shrew.NR_CLIPS_MAX
		self.x_shrew.AMMO_PICKUP = self:_pickup_chance(self.x_shrew.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--deagle
		self.deagle.stats.damage = 140
		self.deagle.fire_mode_data.fire_rate = 0.1
		self.deagle.NR_CLIPS_MAX = 3
		self.deagle.AMMO_MAX = self.deagle.CLIP_AMMO_MAX * self.deagle.NR_CLIPS_MAX
		self.deagle.AMMO_PICKUP = self:_pickup_chance(self.deagle.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

		self.x_deagle.stats.damage = 140
		self.x_deagle.fire_mode_data.fire_rate = 0.1
		self.x_deagle.NR_CLIPS_MAX = 5
		self.x_deagle.AMMO_MAX = self.x_deagle.CLIP_AMMO_MAX * self.x_deagle.NR_CLIPS_MAX
		self.x_deagle.AMMO_PICKUP = self:_pickup_chance(self.x_deagle.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

	--usp
		self.usp.stats.damage = 80
		self.usp.fire_mode_data.fire_rate = 0.1
		self.usp.NR_CLIPS_MAX = 3
		self.usp.AMMO_MAX = self.usp.CLIP_AMMO_MAX * self.usp.NR_CLIPS_MAX
		self.usp.AMMO_PICKUP = self:_pickup_chance(self.usp.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_usp.stats.damage = 80
		self.x_usp.fire_mode_data.fire_rate = 0.1
		self.x_usp.NR_CLIPS_MAX = 5
		self.x_usp.AMMO_MAX = self.x_usp.CLIP_AMMO_MAX * self.x_usp.NR_CLIPS_MAX
		self.x_usp.AMMO_PICKUP = self:_pickup_chance(self.x_usp.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--sparrow
		self.sparrow.stats.damage = 70
		self.sparrow.fire_mode_data.fire_rate = 0.1
		self.sparrow.NR_CLIPS_MAX = 3
		self.sparrow.AMMO_MAX = self.sparrow.CLIP_AMMO_MAX * self.sparrow.NR_CLIPS_MAX
		self.sparrow.AMMO_PICKUP = self:_pickup_chance(self.sparrow.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_sparrow.stats.damage = 70
		self.x_sparrow.fire_mode_data.fire_rate = 0.1
		self.x_sparrow.NR_CLIPS_MAX = 5
		self.x_sparrow.AMMO_MAX = self.x_sparrow.CLIP_AMMO_MAX * self.x_sparrow.NR_CLIPS_MAX
		self.x_sparrow.AMMO_PICKUP = self:_pickup_chance(self.x_sparrow.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--c96
		self.c96.stats.damage = 70
		self.c96.fire_mode_data.fire_rate = 0.1
		self.c96.NR_CLIPS_MAX = 3
		self.c96.AMMO_MAX = self.c96.CLIP_AMMO_MAX * self.c96.NR_CLIPS_MAX
		self.c96.AMMO_PICKUP = self:_pickup_chance(self.c96.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_c96.stats.damage = 70
		self.x_c96.fire_mode_data.fire_rate = 0.1
		self.x_c96.NR_CLIPS_MAX = 5
		self.x_c96.AMMO_MAX = self.x_c96.CLIP_AMMO_MAX * self.x_c96.NR_CLIPS_MAX
		self.x_c96.AMMO_PICKUP = self:_pickup_chance(self.x_c96.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--ppk
		self.ppk.stats.damage = 70
		self.ppk.fire_mode_data.fire_rate = 0.1
		self.ppk.NR_CLIPS_MAX = 3
		self.ppk.AMMO_MAX = self.ppk.CLIP_AMMO_MAX * self.ppk.NR_CLIPS_MAX
		self.ppk.AMMO_PICKUP = self:_pickup_chance(self.ppk.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_ppk.stats.damage = 70
		self.x_ppk.fire_mode_data.fire_rate = 0.1
		self.x_ppk.NR_CLIPS_MAX = 5
		self.x_ppk.AMMO_MAX = self.x_ppk.CLIP_AMMO_MAX * self.x_ppk.NR_CLIPS_MAX
		self.x_ppk.AMMO_PICKUP = self:_pickup_chance(self.x_ppk.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--hs2000
		self.hs2000.stats.damage = 70
		self.hs2000.fire_mode_data.fire_rate = 0.1
		self.hs2000.NR_CLIPS_MAX = 3
		self.hs2000.AMMO_MAX = self.hs2000.CLIP_AMMO_MAX * self.hs2000.NR_CLIPS_MAX
		self.hs2000.AMMO_PICKUP = self:_pickup_chance(self.hs2000.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_hs2000.stats.damage = 70
		self.x_hs2000.fire_mode_data.fire_rate = 0.1
		self.x_hs2000.NR_CLIPS_MAX = 5
		self.x_hs2000.AMMO_MAX = self.x_hs2000.CLIP_AMMO_MAX * self.x_hs2000.NR_CLIPS_MAX
		self.x_hs2000.AMMO_PICKUP = self:_pickup_chance(self.x_hs2000.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--mateba
		self.mateba.stats.damage = 140
		self.mateba.fire_mode_data.fire_rate = 0.1
		self.mateba.NR_CLIPS_MAX = 3
		self.mateba.AMMO_MAX = self.mateba.CLIP_AMMO_MAX * self.mateba.NR_CLIPS_MAX
		self.mateba.AMMO_PICKUP = self:_pickup_chance(self.mateba.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_2006m.stats.damage = 140
		self.x_2006m.fire_mode_data.fire_rate = 0.1
		self.x_2006m.NR_CLIPS_MAX = 5
		self.x_2006m.AMMO_MAX = self.x_2006m.CLIP_AMMO_MAX * self.x_2006m.NR_CLIPS_MAX
		self.x_2006m.AMMO_PICKUP = self:_pickup_chance(self.x_2006m.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--breech
		self.breech.stats.damage = 70
		self.breech.fire_mode_data.fire_rate = 0.1
		self.breech.NR_CLIPS_MAX = 3
		self.breech.AMMO_MAX = self.breech.CLIP_AMMO_MAX * self.breech.NR_CLIPS_MAX
		self.breech.AMMO_PICKUP = self:_pickup_chance(self.breech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_breech.stats.damage = 70
		self.x_breech.fire_mode_data.fire_rate = 0.1
		self.x_breech.NR_CLIPS_MAX = 5
		self.x_breech.AMMO_MAX = self.x_breech.CLIP_AMMO_MAX * self.x_breech.NR_CLIPS_MAX
		self.x_breech.AMMO_PICKUP = self:_pickup_chance(self.x_breech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--p226
		self.p226.stats.damage = 70
		self.p226.fire_mode_data.fire_rate = 0.1
		self.p226.NR_CLIPS_MAX = 3
		self.p226.AMMO_MAX = self.p226.CLIP_AMMO_MAX * self.p226.NR_CLIPS_MAX
		self.p226.AMMO_PICKUP = self:_pickup_chance(self.p226.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_p226.stats.damage = 70
		self.x_p226.fire_mode_data.fire_rate = 0.1
		self.x_p226.NR_CLIPS_MAX = 5
		self.x_p226.AMMO_MAX = self.x_p226.CLIP_AMMO_MAX * self.x_p226.NR_CLIPS_MAX
		self.x_p226.AMMO_PICKUP = self:_pickup_chance(self.x_p226.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--glock_18c
		self.glock_18c.stats.damage = 70
		self.glock_18c.NR_CLIPS_MAX = 3
		self.glock_18c.AMMO_MAX = self.glock_18c.CLIP_AMMO_MAX * self.glock_18c.NR_CLIPS_MAX
		self.glock_18c.AMMO_PICKUP = self:_pickup_chance(self.glock_18c.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_g18c.stats.damage = 70
		self.x_g18c.NR_CLIPS_MAX = 5
		self.x_g18c.AMMO_MAX = self.x_g18c.CLIP_AMMO_MAX * self.x_g18c.NR_CLIPS_MAX
		self.x_g18c.AMMO_PICKUP = self:_pickup_chance(self.x_g18c.AMMO_MAX, PICKUP.HG_MED_CAPACITY)


	--pl14
		self.pl14.stats.damage = 70
		self.pl14.fire_mode_data.fire_rate = 0.1
		self.pl14.NR_CLIPS_MAX = 3
		self.pl14.AMMO_MAX = self.pl14.CLIP_AMMO_MAX * self.pl14.NR_CLIPS_MAX
		self.pl14.AMMO_PICKUP = self:_pickup_chance(self.pl14.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_pl14.stats.damage = 70
		self.x_pl14.fire_mode_data.fire_rate = 0.1
		self.x_pl14.NR_CLIPS_MAX = 5
		self.x_pl14.AMMO_MAX = self.x_pl14.CLIP_AMMO_MAX * self.x_pl14.NR_CLIPS_MAX
		self.x_pl14.AMMO_PICKUP = self:_pickup_chance(self.x_pl14.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--legacy
		self.legacy.stats.damage = 70
		self.legacy.fire_mode_data.fire_rate = 0.1
		self.legacy.NR_CLIPS_MAX = 3
		self.legacy.AMMO_MAX = self.legacy.CLIP_AMMO_MAX * self.legacy.NR_CLIPS_MAX
		self.legacy.AMMO_PICKUP = self:_pickup_chance(self.legacy.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_legacy.stats.damage = 70
		self.x_legacy.fire_mode_data.fire_rate = 0.1
		self.x_legacy.NR_CLIPS_MAX = 5
		self.x_legacy.AMMO_MAX = self.x_legacy.CLIP_AMMO_MAX * self.x_legacy.NR_CLIPS_MAX
		self.x_legacy.AMMO_PICKUP = self:_pickup_chance(self.x_legacy.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--peacemaker
		self.peacemaker.stats.damage = 140
		self.peacemaker.fire_mode_data.fire_rate = 0.1
		self.peacemaker.NR_CLIPS_MAX = 3
		self.peacemaker.AMMO_MAX = self.peacemaker.CLIP_AMMO_MAX * self.peacemaker.NR_CLIPS_MAX
		self.peacemaker.AMMO_PICKUP = self:_pickup_chance(self.peacemaker.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)


	--czech
		self.czech.stats.damage = 70
		self.czech.NR_CLIPS_MAX = 3
		self.czech.AMMO_MAX = self.czech.CLIP_AMMO_MAX * self.czech.NR_CLIPS_MAX
		self.czech.AMMO_PICKUP = self:_pickup_chance(self.czech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_czech.stats.damage = 70
		self.x_czech.NR_CLIPS_MAX = 5
		self.x_czech.AMMO_MAX = self.x_czech.CLIP_AMMO_MAX * self.x_czech.NR_CLIPS_MAX
		self.x_czech.AMMO_PICKUP = self:_pickup_chance(self.x_czech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--stech
		self.stech.stats.damage = 70
		self.stech.NR_CLIPS_MAX = 3
		self.stech.AMMO_MAX = self.stech.CLIP_AMMO_MAX * self.stech.NR_CLIPS_MAX
		self.stech.AMMO_PICKUP = self:_pickup_chance(self.stech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_stech.stats.damage = 70
		self.stech.NR_CLIPS_MAX = 5
		self.stech.AMMO_MAX = self.stech.CLIP_AMMO_MAX * self.stech.NR_CLIPS_MAX
		self.stech.AMMO_PICKUP = self:_pickup_chance(self.stech.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--holt
		self.holt.stats.damage = 70
		self.holt.fire_mode_data.fire_rate = 0.1
		self.holt.NR_CLIPS_MAX = 3
		self.holt.AMMO_MAX = self.holt.CLIP_AMMO_MAX * self.holt.NR_CLIPS_MAX
		self.holt.AMMO_PICKUP = self:_pickup_chance(self.holt.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_holt.stats.damage = 70
		self.x_holt.fire_mode_data.fire_rate = 0.1
		self.x_holt.NR_CLIPS_MAX = 5
		self.x_holt.AMMO_MAX = self.x_holt.CLIP_AMMO_MAX * self.x_holt.NR_CLIPS_MAX
		self.x_holt.AMMO_PICKUP = self:_pickup_chance(self.x_holt.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--m1911
		self.m1911.stats.damage = 80
		self.m1911.fire_mode_data.fire_rate = 0.1
		self.m1911.NR_CLIPS_MAX = 3
		self.m1911.AMMO_MAX = self.m1911.CLIP_AMMO_MAX * self.m1911.NR_CLIPS_MAX
		self.m1911.AMMO_PICKUP = self:_pickup_chance(self.m1911.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_m1911.stats.damage = 80
		self.x_m1911.fire_mode_data.fire_rate = 0.1
		self.x_m1911.NR_CLIPS_MAX = 5
		self.x_m1911.AMMO_MAX = self.x_m1911.CLIP_AMMO_MAX * self.x_m1911.NR_CLIPS_MAX
		self.x_m1911.AMMO_PICKUP = self:_pickup_chance(self.x_m1911.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--maxim9
		self.maxim9.stats.damage = 70
		self.maxim9.fire_mode_data.fire_rate = 0.1
		self.maxim9.NR_CLIPS_MAX = 3
		self.maxim9.AMMO_MAX = self.maxim9.CLIP_AMMO_MAX * self.maxim9.NR_CLIPS_MAX
		self.maxim9.AMMO_PICKUP = self:_pickup_chance(self.maxim9.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

		self.x_maxim9.stats.damage = 70
		self.x_maxim9.fire_mode_data.fire_rate = 0.1
		self.x_maxim9.NR_CLIPS_MAX = 5
		self.x_maxim9.AMMO_MAX = self.x_maxim9.CLIP_AMMO_MAX * self.x_maxim9.NR_CLIPS_MAX
		self.x_maxim9.AMMO_PICKUP = self:_pickup_chance(self.x_maxim9.AMMO_MAX, PICKUP.HG_MED_CAPACITY)

	--korth
		self.korth.stats.damage = 140
		self.korth.fire_mode_data.fire_rate = 0.1
		self.korth.NR_CLIPS_MAX = 3
		self.korth.AMMO_MAX = self.korth.CLIP_AMMO_MAX * self.korth.NR_CLIPS_MAX
		self.korth.AMMO_PICKUP = self:_pickup_chance(self.korth.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

		self.x_korth.stats.damage = 70
		self.x_korth.fire_mode_data.fire_rate = 0.1
		self.x_korth.NR_CLIPS_MAX = 5
		self.x_korth.AMMO_MAX = self.x_korth.CLIP_AMMO_MAX * self.x_korth.NR_CLIPS_MAX
		self.x_korth.AMMO_PICKUP = self:_pickup_chance(self.x_korth.AMMO_MAX, PICKUP.HG_LOW_CAPACITY)

--Snipers

	--tti
		self.tti.stats.damage = 120
		self.tti.fire_mode_data.fire_rate = 0.1
		self.tti.NR_CLIPS_MAX = 3
		self.tti.AMMO_MAX = self.tti.CLIP_AMMO_MAX * self.tti.NR_CLIPS_MAX
		self.tti.AMMO_PICKUP = self:_pickup_chance(self.tti.AMMO_MAX, PICKUP.RF_LOW_CAPACITY)

	--desertfox
		self.desertfox.stats.damage = 60
		self.desertfox.stats_modifiers = {damage = 2}
		self.desertfox.NR_CLIPS_MAX = 3
		self.desertfox.AMMO_MAX = self.desertfox.CLIP_AMMO_MAX * self.desertfox.NR_CLIPS_MAX
		self.desertfox.AMMO_PICKUP = self:_pickup_chance(self.desertfox.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--siltstone
		self.siltstone.stats.damage = 120
		self.siltstone.fire_mode_data.fire_rate = 0.1
		self.siltstone.NR_CLIPS_MAX = 3
		self.siltstone.AMMO_MAX = self.siltstone.CLIP_AMMO_MAX * self.siltstone.NR_CLIPS_MAX
		self.siltstone.AMMO_PICKUP = self:_pickup_chance(self.siltstone.AMMO_MAX, PICKUP.RF_LOW_CAPACITY)

	--wa2000
		self.wa2000.stats.damage = 120
		self.wa2000.fire_mode_data.fire_rate = 0.1
		self.wa2000.NR_CLIPS_MAX = 3
		self.wa2000.AMMO_MAX = self.wa2000.CLIP_AMMO_MAX * self.wa2000.NR_CLIPS_MAX
		self.wa2000.AMMO_PICKUP = self:_pickup_chance(self.wa2000.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--mosin
		self.mosin.stats.damage = 60
		self.mosin.stats_modifiers = {damage = 2}
		self.mosin.NR_CLIPS_MAX = 3
		self.mosin.AMMO_MAX = self.mosin.CLIP_AMMO_MAX * self.mosin.NR_CLIPS_MAX
		self.mosin.AMMO_PICKUP = self:_pickup_chance(self.mosin.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--model70
		self.model70.stats.damage = 60
		self.model70.stats_modifiers = {damage = 2}
		self.model70.NR_CLIPS_MAX = 3
		self.model70.AMMO_MAX = self.model70.CLIP_AMMO_MAX * self.model70.NR_CLIPS_MAX
		self.model70.AMMO_PICKUP = self:_pickup_chance(self.model70.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--r93
		self.r93.stats.damage = 60
		self.r93.stats_modifiers = {damage = 2}
		self.r93.NR_CLIPS_MAX = 3
		self.r93.AMMO_MAX = self.r93.CLIP_AMMO_MAX * self.r93.NR_CLIPS_MAX
		self.r93.AMMO_PICKUP = self:_pickup_chance(self.r93.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--msr
		self.msr.stats.damage = 60
		self.msr.stats_modifiers = {damage = 2}
		self.msr.NR_CLIPS_MAX = 3
		self.msr.AMMO_MAX = self.msr.CLIP_AMMO_MAX * self.msr.NR_CLIPS_MAX
		self.msr.AMMO_PICKUP = self:_pickup_chance(self.msr.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--winchester1874
		self.winchester1874.stats.damage = 60
		self.winchester1874.stats_modifiers = {damage = 2}
		self.winchester1874.NR_CLIPS_MAX = 3
		self.winchester1874.AMMO_MAX = self.winchester1874.CLIP_AMMO_MAX * self.winchester1874.NR_CLIPS_MAX
		self.winchester1874.AMMO_PICKUP = self:_pickup_chance(self.winchester1874.AMMO_MAX, PICKUP.RF_HIGH_CAPACITY)

	--m95
		self.m95.stats.damage = 100
		self.m95.stats_modifiers = {damage = 20}
		self.m95.NR_CLIPS_MAX = 3
		self.m95.AMMO_MAX = self.m95.CLIP_AMMO_MAX * self.m95.NR_CLIPS_MAX
		self.m95.AMMO_PICKUP = self:_pickup_chance(self.m95.AMMO_MAX, PICKUP.RF_LOW_CAPACITY)

	--r700
		self.r700.stats.damage = 60
		self.r700.stats_modifiers = {damage = 2}
		self.r700.NR_CLIPS_MAX = 3
		self.r700.AMMO_MAX = self.r700.CLIP_AMMO_MAX * self.r700.NR_CLIPS_MAX
		self.r700.AMMO_PICKUP = self:_pickup_chance(self.r700.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--sbl
		self.sbl.stats.damage = 60
		self.sbl.stats_modifiers = {damage = 2}
		self.sbl.NR_CLIPS_MAX = 3
		self.sbl.AMMO_MAX = self.sbl.CLIP_AMMO_MAX * self.sbl.NR_CLIPS_MAX
		self.sbl.AMMO_PICKUP = self:_pickup_chance(self.sbl.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--qbu88
		self.qbu88.stats.damage = 90
		self.qbu88.fire_mode_data.fire_rate = 0.1
		self.qbu88.can_shoot_through_shield = true
		self.qbu88.NR_CLIPS_MAX = 3
		self.qbu88.AMMO_MAX = self.qbu88.CLIP_AMMO_MAX * self.qbu88.NR_CLIPS_MAX
		self.qbu88.AMMO_PICKUP = self:_pickup_chance(self.qbu88.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--victor
		self.victor.stats.damage = 110
		self.victor.fire_mode_data.fire_rate = 0.1
		self.victor.NR_CLIPS_MAX = 3
		self.victor.AMMO_MAX = self.victor.CLIP_AMMO_MAX * self.victor.NR_CLIPS_MAX
		self.victor.AMMO_PICKUP = self:_pickup_chance(self.victor.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

	--scout
		self.scout.stats.damage = 60
		self.scout.stats_modifiers = {damage = 2}
		self.scout.can_shoot_through_shield = true
		self.scout.NR_CLIPS_MAX = 3
		self.scout.AMMO_MAX = self.scout.CLIP_AMMO_MAX * self.scout.NR_CLIPS_MAX
		self.scout.AMMO_PICKUP = self:_pickup_chance(self.scout.AMMO_MAX, PICKUP.RF_MED_CAPACITY)

--Saw
	--saw
		self.saw.AMMO_PICKUP = {10,50}
		self.saw.armor_piercing_chance = 1
		self.saw.stats.damage = 300
		self.saw.AMMO_MAX = 500
		self.saw.CLIP_AMMO_MAX = 250

		self.saw_secondary.AMMO_PICKUP = {10,50}
		self.saw_secondary.armor_piercing_chance = 1
		self.saw_secondary.stats.damage = 300
		self.saw_secondary.AMMO_MAX = 500
		self.saw_secondary.CLIP_AMMO_MAX = 250

end )
